; Total Annihilation Escalation advanced settings v10.1.0

; Windowed mode will disable many TA Escalation features (including some of these) and is not recommended

[Preferences] ; custom settings, if any entry is disabled the "TA Escalation default" values will be used

; HOTFIX - note: disabled by default
; This is a setting for the HOTFIX to fix performance on certain GPUs (typically on Win10)
; If you are not affected by the crash and already downloaded the fix anyway and it broke your game...
; ...you should disable this setting with a semi-colon
; TA v3.1 default is DISABLED
; TA Escalation default is DISABLED

UseVideoMemory = TRUE;

; Override your "DisplayModeHeight" registry setting if lower than 768
; If "DisplayModeWidth" is below 1024 it will override it as well
; Resolutions shown in the in-game list (EnumDisplayModes) are only filtered by height (768 minimum), any width is allowed still if supported by your hardware
; TA v3.1 default is FALSE
; TA Escalation default is TRUE

DisplayModeMinHeight768 = TRUE;

; Music Player
; Set to 0, 1, or 2 (0 = run from CD Player, 1 = run MP3s from common files folder under TOTALA, 2 = run from TAMUS folder)
; TA v3.1 default is 0
; TA Escalation default is 2

MP3Player = 2;

; Unit limit per player
; Set from 20 - 6553 (setting higher than 1000 WILL cause instability)
; All online players must have same unitlimit value
; TA v3.1 default is 250
; TA Escalation default is 1000

UnitLimit = 1000;

; Pathfinding cycles
; Setting too low (such as TA v3.1 default) ruins pathfinding but setting extremely high lowers fps
; TA v3.1 default is 1333
; TA Escalation default is 66650

AISearchMapEntries = 66650;

; Special effects limit (smoke, etc.)
; Setting too low (such as TA v3.1 default) will degrade visual quality
; This setting is still experimental, if you experience visual issues set to 400
; TA v3.1 default is 400
; TA Escalation default is 20480

SfxLimit = 20480;

; Unit model size limit
; Set max width and height for unit model drawing buffer
; TA v3.1 default is 600x600
; TA Escalation default is 1280x1280 (max is 4096x4096)

X_CompositeBuf = 1280;
Y_CompositeBuf = 1280;

; Unit ID limit
; Set the maximum number of unique unit IDs
; TA v3.1 default is 512
; TA Escalation default is 16000

UnitType = 16000;

; Weapon ID limit
; Set the maximum number of unique weapon IDs
; TA v3.1 default is 256
; TA Escalation default is 16000

WeaponType = 16000;

; Weapon ID multiplayer patch
; Set to TRUE to enable increased Weapon ID limit in multiplayer
; Set to FALSE to allow increased Weapon ID limit only in single player
; TA v3.1 default is FALSE
; TA Escalation default is FALSE (Weapon ID limit increase not yet compatible with Replayer)

MultiGameWeapon = FALSE;

; Double-click selection
; Enable or disable the new "double-click to select all units of the same type on screen" feature
; TA v3.1 default is FALSE
; TA Escalation default is TRUE

DoubleClick = TRUE;

; Expanded Multiplayer Sharing Menu
; Enable or disable the new expanded multiplayer sharing menu
; TA v3.1 default is FALSE
; TA Escalation default is TRUE

ShareDialogExpand = TRUE;

; Main menu resolution adjuster
; Set to FALSE to keep main menu resolution at the default 640x480
; Set to TRUE to match main menu resolution to the in-game resolution set via options menu
; If TRUE, the main menu will not be upscaled to fit increased output resolution
; If resolution is not valid, the game will not start (use resolution overrider below to fix)
; TA v3.1 default is FALSE
; TA Escalation default is FALSE

MenuResolution = FALSE;

; Megamap
; Enable or disable the new megamap
; TA v3.1 default is FALSE
; TA Escalation default is TRUE

FullScreenMinimap = TRUE;

; Megamap FPS - currently disabled in v9.9.9
; Set desired value
; TA v3.1 default is 60
; TA Escalation default is 60

;MegamapFpsLimit= 60;

; Megamap Icon Configuration File
; Set the location of the megamap's icon configuration file
; TA Escalation default is .\Icon\iconcfg.ini

MegaMapConfig = .\Icon\iconcfg.ini;

; Megamap Configuration Settings
; Use the fields below to customize the megamap

; Megamap Mouse Wheel Zooming
; Enable or disable ability to zoom in and out of the megamap with the mouse wheel
; TA Escalation default is TRUE; 

WheelZoom = TRUE;

; Megamap Mouse Wheel Zoom In Mode
; Set to TRUE to zoom to the cursor location when rolling the wheel up from the megamap
; Set to FALSE to zoom to the previous camera location when rolling the wheel up from the megamap
; TA Escalation default is TRUE;

WheelMoveMegaMap = TRUE;

; Megamap Double-Click to Zoom Option
; Enable or disable the option to zoom to the cursor location...
; ...when double-clicking terrain on the megamap
; TA Escalation default is FALSE;

DoubleClickMoveMegamap = FALSE;

; Megamap Unit Icon Flashing When Under Attack
; Enable or disable megamap unit icon flashing when under attack

UnderAttackFlash=TRUE;

; Megamap Minimum Sensor Range Ring Distances
; Set the minimum sensor values required to display range rings on the megamap
; These settings could be helpful if you want to eliminate clutter from short-ranged rings

MegamapRadarMinimum = 128;    ;Default is 128
MegamapSonarMinimum = 128;    ;Default is 128
MegamapSonarJamMinimum = 64;  ;Default is 64
MegamapRadarJamMinimum = 64;  ;Default is 64
MegamapAntiNukeMinimum = 512; ;Default is 512

; Player Icon and Line Marker Colors
; Customize the colors of the player minimap/megamap icons and line markers
; Set from 0 to 255 to select colors from the TA indexed color palette
; These settings are disabled by default (remove the semicolons to enable)

Player1DotColors=252; ;Default is 227
Player2DotColors=249; ;Default is 212
Player3DotColors=17;  ;Default is 80
Player4DotColors=250; ;Default is 235
Player5DotColors=36;  ;Default is 108
Player6DotColors=218; ;Default is 219 
Player7DotColors=208; ;Default is 208
Player8DotColors=67;  ;Default is 93
Player9DotColors=100; ;Default is 130 
Player10DotColors=210; ;Default is 67

; Player Dot Marker Colors
; Customize the colors of player dot markers by setting a custom icon file
; Edit the example smallcircle.pcx file or create a new icon file
; The icon file must contain all 10 player markers from left to right
; The icon width and height settings must match the dimensions of your icons
; These settings are disabled by default (remove the semicolons to enable)

;PerPlayerMarkerWidth=10;
;PerPlayerMarkerHeight=10;
PlayerMarkerPcx=Icon\smallcircle.pcx;

[REG] ; registry override settings, if any entry is disabled the last value used will be remembered

; Sound mode
; Set to 0 for no sound, 1 for mono sound, and 2 for 3D positional sound
; When set to 3D, the speaker layout is read from the Windows control panel
; All speaker layouts are supported by the 3D sound engine (stereo, 5.1, 7.1, etc.)
; TA v3.1 default is Mono (dword:1)
; TA Escalation default is 3D (dword:2)

"Sound Mode" = dword:2

; Max number of simultaneous sounds before sounds are cut off
; Set from 2 - 32 for specific limits or 33 or higher for unlimited
; TA v3.1 default is 8 (dword:8)
; TA Escalation default is 128 / unlimited (dword:128)

"MixingBuffers" = dword:128

; Default game speed
; Set from 0 - 20 (corresponding to game speed -10 to +10)
; Use plus and minus keys to adjust while playing
; TA and TA Escalation default is 10 which is equivalent to Normal game speed (dword:10)

"GameSpeed" = dword:10

; Group selection hotkey modifier
; Set to 1 to select unit groups with number key and build menus with ALT + number key
; Set to 0 to select build menus with number key and unit groups with ALT + number key
; TA v3.1 default is 0 (dword:0)
; TA Escalation default is 1 (dword:1)

"SwitchAlt" = dword:1

; Max number of players in skirmish mode
; Set from 2 - 10
; TA v3.1 default is 4 (dword:4)
; TA Escalation default is 10 (dword:10)

"NumSkirmishPlayers" = dword:10

; Default setting for display of chat messages from other players
; Set to 1 to enable and 0 to disable
; Use "+screenchat" command in-game to toggle setting for the current game
; TA and TA Escalation default is 1

"ScreenChat" = dword:1

; Music playback mode
; ***NOTE***: Custom mode is now fixed. This field is now disabled 
; see MP3Player section in preferences above
; Set to 1 for Play All, 2 for Random, 3 for Repeat, and 4 for Custom.
; When set to Custom, the game will attempt to use the dynamic build/battle system...
; TA v3.1 default is Custom (dword:4)
; TA Escalation default is Custom (dword:4)

;"CDMode" = dword:4

; Resolution overrider (disabled by default)
; Use this to override the resolution set in the options menu (remove semicolons to enable)
; All resolutions and aspect ratios supported by your setup are supported by the game...
; ...as long as they are available in 8-bit color depth (if not, create a custom resolution)
; If you set a resolution not supported by your setup (driver or display) the game will crash
; The override is set at game launch, using options menu will defeat override until next launch
; Example: dword:1920 x dword:1080 (1920x1080)

;"DisplayModeWidth" = dword:1920
;"DisplayModeHeight" = dword:1080

